eth_newFilter
API key required. This Polygon method is documented for keyed private endpoints. It is not available on
/v1/rpc/public. Create an endpoint to get an API key.
Network: Polygon · Mainnet · Chain ID 137 (0x89)
Counts as 1 request. See Request Counting.
Description
Creates a new log filter.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
fromBlock | blockTag | No | Start block |
toBlock | blockTag | No | End block |
address | address | No | Contract address |
Request
{
"jsonrpc": "2.0",
"method": "eth_newFilter",
"params": [
{
"fromBlock": "latest",
"toBlock": "latest",
"address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"
}
],
"id": 1
}Code Examples
curl -X POST https://polygon-bor-rpc.blockreq.com/v1/rpc/BRQ1P0000000000000000000000000000000000000000000000000000000 \
-H "Content-Type: application/json" \
-d '{"jsonrpc":"2.0","method":"eth_newFilter","params":[{"fromBlock":"latest","toBlock":"latest","address":"0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"}],"id":1}'